#=======FD - Poison Weapon 1.0========#
#===========Made by FD GOD============#
#=====================================#
#+++++++++++++++++++++++++++++++++++++#
#    EDIT TO YOUR LIKING BELOW HERE   #
#+++++++++++++++++++++++++++++++++++++#

#Damage of the poison will be like this, player will lose "fdp_dmg" in "fdp_time_between" seconds 
#So edit the fdp_damage and fdp_timebetween to your liking
fdp_dmg = 5
fdp_hurt_between = 2

#Enable hurt sounds to be played when poison attacks? 
fdp_enable_hurtsound = 1


#+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++#
#   						 BUT NOT BELOW HERE!                            #
#+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++#

import es                  
import usermsg             
import random              
import gamethread          
import playerlib  


info = es.AddonInfo() 
info['name']        = "FD - Poison Weapon" 
info['version']     = "0.1 BETA" 
info['author']      = "FD GOD" 
info['url']         = "http://addons.eventscripts.com/addons/view/fd-poisonwpn" 
info['description'] = "Makes some wepapon fires poison bullet that can poison your enemy" 

es.ServerVar('fd_poisonwpn_version', info['version'], 'Made by FD GOD').makepublic()



def load():
	es.msg('#multi',"#green[FD PoisonScout]#default loaded.")

def unload():
	es.msg('#multi',"#green[FD PoisonScout]#default unloaded.")

def player_hurt(ev):
	fdp_playeruserid = ev['userid']
	if (ev['es_attackerweapon'] == "weapon_scout"):
		usermsg.shake(ev['userid'], 15, 10)
		usermsg.fade(ev['userid'], 1, 1200, 30, 128, 0, 255, 150)
		gamethread.delayed(1, fade1a, ev['userid'])
		gamethread.delayed(2, fade2a, ev['userid'])
		gamethread.delayed(3, fade3a, ev['userid'])
		gamethread.delayed(4, fade4a, ev['userid'])
		sound2_list = ['HL1/fvox/bio_reading.wav','HL1/fvox/biohazard_detected.wav','HL1/fvox/blood_plasma.wav','HL1/fvox/blood_toxins.wav','HL1/fvox/chemical_detected.wav','HL1/fvox/heat_damage.wav']
		sound2 = random.choice(sound2_list)
		es.playsound(ev['userid'], 'player/pl_fallpain1.wav', 1.0)
		es.playsound(ev['userid'], sound2, 1.0)
		es.tell('#multi', '#green[POISON]#lightgreen WARNING! A poison bullet is poisoning you!') 
		poisonvictim = playerlib.getPlayer(ev['userid'])
		poisonvictim.setColor(182,0,255,255)
		gamethread.delayed(0.1, poisonhurt, ev['userid'])

def fade1a(userid):
	usermsg.fade(userid, 1, 1200, 30, 128, 0, 255, 125)
	
def fade2a(userid):
	usermsg.fade(userid, 1, 1200, 30, 128, 0, 255, 80)
	
def fade3a(userid):
	usermsg.fade(userid, 1, 1200, 30, 128, 0, 255, 30)
	
def fade4a(userid):
	usermsg.fade(userid, 1, 1200, 30, 0, 0, 255, 20)
		
def poisonhurt(userid):
	poisonvictim = playerlib.getPlayer(userid)
	#poisonvictimhealth = playerlib.getPlayer(poisonvictim['health'])
	if (poisonvictim.health - fdp_dmg) > 0:
		poisonvictim.health -= fdp_dmg
		gamethread.delayed(0.3, fade1b, userid)
		gamethread.delayed(0.6, fade2b, userid)
		gamethread.delayed(0.9, fade3b, userid)
		gamethread.delayed(1.2, fade4b, userid)
		gamethread.delayedname(fdp_hurt_between, poisonhurt, poisonhurt, userid)	
		if (fdp_enable_hurtsound == 1):
			hurt_sound_list = ['player/death1.wav', 'player/death2.wav', 'player/death3.wav', 'player/death4.wav', 'player/death5.wav', 'player/death6.wav'] 
			hurt_sound = random.choice(hurt_sound_list)
			es.emitsound("player", userid, hurt_sound, 1, 0.2)
	else:
		poisonvictim.slay()
		
def fade1b(userid):
	usermsg.fade(userid, 1, 200, 10, 128, 0, 255, 125)
	usermsg.shake(userid, 10, 1)
	
def fade2b(userid):
	usermsg.fade(userid, 1, 200, 30, 128, 0, 255, 80)
	
def fade3b(userid):
	usermsg.fade(userid, 1, 200, 30, 128, 0, 255, 30)
	
def fade4b(userid):
	usermsg.fade(userid, 1, 200, 30, 0, 0, 255, 20)
	
def player_spawn(ev):
	victimspawn = playerlib.getPlayer(ev['userid'])
	victimspawn.setColor(255,255,255,255)
	
def round_start(ev):
	gamethread.cancelDelayed(poisonhurt)
	
